unit SFtpFile;

interface

type

HCkSFtpFile = Pointer;
HCkDateTime = Pointer;
HCkString = Pointer;


function CkSFtpFile_Create: HCkSFtpFile;  stdcall;
procedure CkSFtpFile_Dispose(handle: HCkSFtpFile); stdcall;
procedure CkSFtpFile_getCreateTimeStr(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__createTimeStr(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getDebugLogFilePath(objHandle: HCkSFtpFile; outPropVal: HCkString);
procedure CkSFtpFile_putDebugLogFilePath(objHandle: HCkSFtpFile; newPropVal: PWideChar);
function CkSFtpFile__debugLogFilePath(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getFilename(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__filename(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getFileType(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__fileType(objHandle: HCkSFtpFile): PWideChar;
function CkSFtpFile_getGid(objHandle: HCkSFtpFile): Integer;
procedure CkSFtpFile_getGroup(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__group(objHandle: HCkSFtpFile): PWideChar;
function CkSFtpFile_getIsAppendOnly(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsArchive(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsCaseInsensitive(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsCompressed(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsDirectory(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsEncrypted(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsHidden(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsImmutable(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsReadOnly(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsRegular(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsSparse(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsSymLink(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsSync(objHandle: HCkSFtpFile): wordbool;
function CkSFtpFile_getIsSystem(objHandle: HCkSFtpFile): wordbool;
procedure CkSFtpFile_getLastAccessTimeStr(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__lastAccessTimeStr(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getLastErrorHtml(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__lastErrorHtml(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getLastErrorText(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__lastErrorText(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getLastErrorXml(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__lastErrorXml(objHandle: HCkSFtpFile): PWideChar;
function CkSFtpFile_getLastMethodSuccess(objHandle: HCkSFtpFile): wordbool;
procedure CkSFtpFile_putLastMethodSuccess(objHandle: HCkSFtpFile; newPropVal: wordbool);
procedure CkSFtpFile_getLastModifiedTimeStr(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__lastModifiedTimeStr(objHandle: HCkSFtpFile): PWideChar;
procedure CkSFtpFile_getOwner(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__owner(objHandle: HCkSFtpFile): PWideChar;
function CkSFtpFile_getPermissions(objHandle: HCkSFtpFile): Integer;
function CkSFtpFile_getSize32(objHandle: HCkSFtpFile): Integer;
function CkSFtpFile_getSize64(objHandle: HCkSFtpFile): Int64;
procedure CkSFtpFile_getSizeStr(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__sizeStr(objHandle: HCkSFtpFile): PWideChar;
function CkSFtpFile_getUid(objHandle: HCkSFtpFile): Integer;
function CkSFtpFile_getVerboseLogging(objHandle: HCkSFtpFile): wordbool;
procedure CkSFtpFile_putVerboseLogging(objHandle: HCkSFtpFile; newPropVal: wordbool);
procedure CkSFtpFile_getVersion(objHandle: HCkSFtpFile; outPropVal: HCkString);
function CkSFtpFile__version(objHandle: HCkSFtpFile): PWideChar;
function CkSFtpFile_GetCreateDt(objHandle: HCkSFtpFile): HCkDateTime;
function CkSFtpFile_GetLastAccessDt(objHandle: HCkSFtpFile): HCkDateTime;
function CkSFtpFile_GetLastModifiedDt(objHandle: HCkSFtpFile): HCkDateTime;
implementation

      // Delphi7
{$IF Compilerversion = 15}
      uses Windows, SysUtils, ckDllLoader;
{$ELSE}
      uses Winapi.Windows, System.SysUtils, ckDllLoader;
{$IFEND}

Type
  TCkSFtpFile_Create = function : HCkSFtpFile; stdcall;
  TCkSFtpFile_Dispose = procedure (handle: HCkSFtpFile); stdcall;
  TCkSFtpFile_getCreateTimeStr = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__createTimeStr = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getDebugLogFilePath = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile_putDebugLogFilePath = procedure (objHandle: HCkSFtpFile; newPropVal: PWideChar); stdcall;
  TCkSFtpFile__debugLogFilePath = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getFilename = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__filename = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getFileType = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__fileType = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getGid = function (objHandle: HCkSFtpFile): Integer; stdcall;
  TCkSFtpFile_getGroup = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__group = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getIsAppendOnly = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsArchive = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsCaseInsensitive = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsCompressed = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsDirectory = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsEncrypted = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsHidden = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsImmutable = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsReadOnly = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsRegular = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsSparse = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsSymLink = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsSync = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getIsSystem = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_getLastAccessTimeStr = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__lastAccessTimeStr = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getLastErrorHtml = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__lastErrorHtml = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getLastErrorText = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__lastErrorText = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getLastErrorXml = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__lastErrorXml = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getLastMethodSuccess = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_putLastMethodSuccess = procedure (objHandle: HCkSFtpFile; newPropVal: wordbool); stdcall;
  TCkSFtpFile_getLastModifiedTimeStr = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__lastModifiedTimeStr = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getOwner = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__owner = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getPermissions = function (objHandle: HCkSFtpFile): Integer; stdcall;
  TCkSFtpFile_getSize32 = function (objHandle: HCkSFtpFile): Integer; stdcall;
  TCkSFtpFile_getSize64 = function (objHandle: HCkSFtpFile): Int64; stdcall;
  TCkSFtpFile_getSizeStr = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__sizeStr = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_getUid = function (objHandle: HCkSFtpFile): Integer; stdcall;
  TCkSFtpFile_getVerboseLogging = function (objHandle: HCkSFtpFile): wordbool; stdcall;
  TCkSFtpFile_putVerboseLogging = procedure (objHandle: HCkSFtpFile; newPropVal: wordbool); stdcall;
  TCkSFtpFile_getVersion = procedure (objHandle: HCkSFtpFile; outPropVal: HCkString); stdcall;
  TCkSFtpFile__version = function (objHandle: HCkSFtpFile): PWideChar; stdcall;
  TCkSFtpFile_GetCreateDt = function (objHandle: HCkSFtpFile): HCkDateTime; stdcall;
  TCkSFtpFile_GetLastAccessDt = function (objHandle: HCkSFtpFile): HCkDateTime; stdcall;
  TCkSFtpFile_GetLastModifiedDt = function (objHandle: HCkSFtpFile): HCkDateTime; stdcall;

var
  _fkt_ptr_arr:   array [0..54] of Pointer;

function _Map( k:Integer; n:String):Pointer;
begin
  Result:=  _fkt_ptr_arr[k];
  if Result = nil then begin
    Chilkat_GetProcedureAddress(Result, n);
    _fkt_ptr_arr[k]:=   Result;
  end;
end;


function CkSFtpFile_Create : HCkSFtpFile;
begin
  result := TCkSFtpFile_Create(_map(0, 'CkSFtpFile_Create'));
end;

procedure CkSFtpFile_Dispose (handle: HCkSFtpFile);
begin
  TCkSFtpFile_Dispose(_map(1, 'CkSFtpFile_Dispose'))
    (handle);
end;


procedure CkSFtpFile_getCreateTimeStr (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getCreateTimeStr(_map(2, 'CkSFtpFile_getCreateTimeStr'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__createTimeStr (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__createTimeStr(_map(3, 'CkSFtpFile__createTimeStr'))
    (objHandle);
end;

procedure CkSFtpFile_getDebugLogFilePath (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getDebugLogFilePath(_map(4, 'CkSFtpFile_getDebugLogFilePath'))
    (objHandle, outPropVal);
end;

procedure CkSFtpFile_putDebugLogFilePath (objHandle: HCkSFtpFile; newPropVal: PWideChar);
begin
  TCkSFtpFile_putDebugLogFilePath(_map(5, 'CkSFtpFile_putDebugLogFilePath'))
    (objHandle, newPropVal);
end;

function CkSFtpFile__debugLogFilePath (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__debugLogFilePath(_map(6, 'CkSFtpFile__debugLogFilePath'))
    (objHandle);
end;

procedure CkSFtpFile_getFilename (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getFilename(_map(7, 'CkSFtpFile_getFilename'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__filename (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__filename(_map(8, 'CkSFtpFile__filename'))
    (objHandle);
end;

procedure CkSFtpFile_getFileType (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getFileType(_map(9, 'CkSFtpFile_getFileType'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__fileType (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__fileType(_map(10, 'CkSFtpFile__fileType'))
    (objHandle);
end;

function CkSFtpFile_getGid (objHandle: HCkSFtpFile): Integer;
begin
    result := TCkSFtpFile_getGid(_map(11, 'CkSFtpFile_getGid'))
    (objHandle);
end;

procedure CkSFtpFile_getGroup (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getGroup(_map(12, 'CkSFtpFile_getGroup'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__group (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__group(_map(13, 'CkSFtpFile__group'))
    (objHandle);
end;

function CkSFtpFile_getIsAppendOnly (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsAppendOnly(_map(14, 'CkSFtpFile_getIsAppendOnly'))
    (objHandle);
end;

function CkSFtpFile_getIsArchive (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsArchive(_map(15, 'CkSFtpFile_getIsArchive'))
    (objHandle);
end;

function CkSFtpFile_getIsCaseInsensitive (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsCaseInsensitive(_map(16, 'CkSFtpFile_getIsCaseInsensitive'))
    (objHandle);
end;

function CkSFtpFile_getIsCompressed (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsCompressed(_map(17, 'CkSFtpFile_getIsCompressed'))
    (objHandle);
end;

function CkSFtpFile_getIsDirectory (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsDirectory(_map(18, 'CkSFtpFile_getIsDirectory'))
    (objHandle);
end;

function CkSFtpFile_getIsEncrypted (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsEncrypted(_map(19, 'CkSFtpFile_getIsEncrypted'))
    (objHandle);
end;

function CkSFtpFile_getIsHidden (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsHidden(_map(20, 'CkSFtpFile_getIsHidden'))
    (objHandle);
end;

function CkSFtpFile_getIsImmutable (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsImmutable(_map(21, 'CkSFtpFile_getIsImmutable'))
    (objHandle);
end;

function CkSFtpFile_getIsReadOnly (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsReadOnly(_map(22, 'CkSFtpFile_getIsReadOnly'))
    (objHandle);
end;

function CkSFtpFile_getIsRegular (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsRegular(_map(23, 'CkSFtpFile_getIsRegular'))
    (objHandle);
end;

function CkSFtpFile_getIsSparse (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsSparse(_map(24, 'CkSFtpFile_getIsSparse'))
    (objHandle);
end;

function CkSFtpFile_getIsSymLink (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsSymLink(_map(25, 'CkSFtpFile_getIsSymLink'))
    (objHandle);
end;

function CkSFtpFile_getIsSync (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsSync(_map(26, 'CkSFtpFile_getIsSync'))
    (objHandle);
end;

function CkSFtpFile_getIsSystem (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getIsSystem(_map(27, 'CkSFtpFile_getIsSystem'))
    (objHandle);
end;

procedure CkSFtpFile_getLastAccessTimeStr (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getLastAccessTimeStr(_map(28, 'CkSFtpFile_getLastAccessTimeStr'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__lastAccessTimeStr (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__lastAccessTimeStr(_map(29, 'CkSFtpFile__lastAccessTimeStr'))
    (objHandle);
end;

procedure CkSFtpFile_getLastErrorHtml (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getLastErrorHtml(_map(30, 'CkSFtpFile_getLastErrorHtml'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__lastErrorHtml (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__lastErrorHtml(_map(31, 'CkSFtpFile__lastErrorHtml'))
    (objHandle);
end;

procedure CkSFtpFile_getLastErrorText (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getLastErrorText(_map(32, 'CkSFtpFile_getLastErrorText'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__lastErrorText (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__lastErrorText(_map(33, 'CkSFtpFile__lastErrorText'))
    (objHandle);
end;

procedure CkSFtpFile_getLastErrorXml (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getLastErrorXml(_map(34, 'CkSFtpFile_getLastErrorXml'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__lastErrorXml (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__lastErrorXml(_map(35, 'CkSFtpFile__lastErrorXml'))
    (objHandle);
end;

function CkSFtpFile_getLastMethodSuccess (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getLastMethodSuccess(_map(36, 'CkSFtpFile_getLastMethodSuccess'))
    (objHandle);
end;

procedure CkSFtpFile_putLastMethodSuccess (objHandle: HCkSFtpFile; newPropVal: wordbool);
begin
  TCkSFtpFile_putLastMethodSuccess(_map(37, 'CkSFtpFile_putLastMethodSuccess'))
    (objHandle, newPropVal);
end;

procedure CkSFtpFile_getLastModifiedTimeStr (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getLastModifiedTimeStr(_map(38, 'CkSFtpFile_getLastModifiedTimeStr'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__lastModifiedTimeStr (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__lastModifiedTimeStr(_map(39, 'CkSFtpFile__lastModifiedTimeStr'))
    (objHandle);
end;

procedure CkSFtpFile_getOwner (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getOwner(_map(40, 'CkSFtpFile_getOwner'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__owner (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__owner(_map(41, 'CkSFtpFile__owner'))
    (objHandle);
end;

function CkSFtpFile_getPermissions (objHandle: HCkSFtpFile): Integer;
begin
    result := TCkSFtpFile_getPermissions(_map(42, 'CkSFtpFile_getPermissions'))
    (objHandle);
end;

function CkSFtpFile_getSize32 (objHandle: HCkSFtpFile): Integer;
begin
    result := TCkSFtpFile_getSize32(_map(43, 'CkSFtpFile_getSize32'))
    (objHandle);
end;

function CkSFtpFile_getSize64 (objHandle: HCkSFtpFile): Int64;
begin
    result := TCkSFtpFile_getSize64(_map(44, 'CkSFtpFile_getSize64'))
    (objHandle);
end;

procedure CkSFtpFile_getSizeStr (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getSizeStr(_map(45, 'CkSFtpFile_getSizeStr'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__sizeStr (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__sizeStr(_map(46, 'CkSFtpFile__sizeStr'))
    (objHandle);
end;

function CkSFtpFile_getUid (objHandle: HCkSFtpFile): Integer;
begin
    result := TCkSFtpFile_getUid(_map(47, 'CkSFtpFile_getUid'))
    (objHandle);
end;

function CkSFtpFile_getVerboseLogging (objHandle: HCkSFtpFile): wordbool;
begin
    result := TCkSFtpFile_getVerboseLogging(_map(48, 'CkSFtpFile_getVerboseLogging'))
    (objHandle);
end;

procedure CkSFtpFile_putVerboseLogging (objHandle: HCkSFtpFile; newPropVal: wordbool);
begin
  TCkSFtpFile_putVerboseLogging(_map(49, 'CkSFtpFile_putVerboseLogging'))
    (objHandle, newPropVal);
end;

procedure CkSFtpFile_getVersion (objHandle: HCkSFtpFile; outPropVal: HCkString);
begin
  TCkSFtpFile_getVersion(_map(50, 'CkSFtpFile_getVersion'))
    (objHandle, outPropVal);
end;

function CkSFtpFile__version (objHandle: HCkSFtpFile): PWideChar;
begin
  result := TCkSFtpFile__version(_map(51, 'CkSFtpFile__version'))
    (objHandle);
end;

function CkSFtpFile_GetCreateDt (objHandle: HCkSFtpFile): HCkDateTime;
begin
  result := TCkSFtpFile_GetCreateDt(_map(52, 'CkSFtpFile_GetCreateDt'))
    (objHandle);
end;

function CkSFtpFile_GetLastAccessDt (objHandle: HCkSFtpFile): HCkDateTime;
begin
  result := TCkSFtpFile_GetLastAccessDt(_map(53, 'CkSFtpFile_GetLastAccessDt'))
    (objHandle);
end;

function CkSFtpFile_GetLastModifiedDt (objHandle: HCkSFtpFile): HCkDateTime;
begin
  result := TCkSFtpFile_GetLastModifiedDt(_map(54, 'CkSFtpFile_GetLastModifiedDt'))
    (objHandle);
end;

end.
